| Home | Libraries | People | FAQ | More

###### value::value (3 of 35 overloads)

Pilfer constructor.

###### Synopsis

    value(
        pilfered< value > other);

###### Description

The value is constructed by acquiring ownership of the contents of `other` using pilfer semantics. This is more efficient than move construction, when it is known that the moved-from object will be immediately destroyed afterwards.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`other` | The value to pilfer. After pilfer construction, `other` is not in a usable state and may only be destroyed.

###### See Also

`pilfer`, Valueless Variants Considered Harmful